/*!
 * common/jquery/jquery.blockUI.js を使用した検索中表示
 *
 * submitボタンがクリックされtから、0.5秒 に検索中表示を行います。
 * query.jsp に include して使います。
 * result.jsp では、$(document).ready を使用して、検索中レイヤーの破棄を行います。
 * 
 * openGion 5.7.7.1 (2014/06/13)
 */

jQuery(function ($) {
	// 検索中レイヤーの表示
	$.fnblockUI = function fnblockUI(msg) {
		$.blockUI(
			{
				message: msg ,
//				message: '検索中です・・・',
//				message: '<img src="../image/dogrun.gif">',
				css: {
					border : 'none',
					padding: '10px',
					backgroundColor: '#333',
					opacity: 0.7,
					color  : '#fff'
				},
				overlayCSS: {
					backgroundColor: '#000',
					opacity: 0.0
				},
				onOverlayClick: $.unblockUI,
//				fadeIn : 3000
				fadeIn : 0
			}
		);
	};

	// 検索中レイヤーの破棄
	// タイマーのOFF と、blockUI の表示終了
	$.fnUnblockUI = function fnUnblockUI() {
		// 5.8.7.1 (2015/05/22) TimeoutID の未定義エラー対策
		if( typeof TimeoutID != "undefined" ) {
			clearTimeout(TimeoutID);
			$.unblockUI();
		}
	};
	

	// ボタンをクリックした場合
//	$(":submit").click(
	$("#queryButtonSubmit").click(
		function() {
			// ボタンが押されてから、0.5秒待ちます。
			TimeoutID=setTimeout("$.fnblockUI('検索中です・・・')",500);
		}
	);
});
